<!-- HTML header for doxygen 1.8.9.1-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<meta name="robots" content="NOINDEX, NOFOLLOW" /> <!-- Prevent indexing by search engines -->
<title>ARM Compute Library: MultiImage Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<script type="text/x-mathjax-config">
  MathJax.Hub.Config({
    extensions: ["tex2jax.js"],
    jax: ["input/TeX","output/HTML-CSS"],
});
</script><script type="text/javascript" src="http://cdn.mathjax.org/mathjax/latest/MathJax.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">ARM Compute Library
   &#160;<span id="projectnumber">17.04</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.xhtml"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.xhtml"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.xhtml"><span>Data&#160;Structures</span></a></li>
      <li><a href="files.xhtml"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.xhtml"><span>Data&#160;Structures</span></a></li>
      <li><a href="classes.xhtml"><span>Data&#160;Structure&#160;Index</span></a></li>
      <li><a href="inherits.xhtml"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.xhtml"><span>Data&#160;Fields</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('classarm__compute_1_1_multi_image.xhtml','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">MultiImage Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Basic implementation of the multi-planar image interface.  
 <a href="classarm__compute_1_1_multi_image.xhtml#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="_multi_image_8h_source.xhtml">MultiImage.h</a>&gt;</code></p>
<div class="dynheader">
Collaboration diagram for MultiImage:</div>
<div class="dyncontent">
<div class="center"><iframe scrolling="no" frameborder="0" src="classarm__compute_1_1_multi_image__coll__graph.svg" width="102" height="112"><p><b>This browser is not able to show SVG: try Firefox, Chrome, Safari, or Opera instead.</b></p></iframe>
</div>
<center><span class="legend">[<a target="top" href="graph_legend.xhtml">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a122ea2bfab91467608e255a8612f0bff"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classarm__compute_1_1_multi_image.xhtml#a122ea2bfab91467608e255a8612f0bff">MultiImage</a> ()</td></tr>
<tr class="memdesc:a122ea2bfab91467608e255a8612f0bff"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#a122ea2bfab91467608e255a8612f0bff">More...</a><br /></td></tr>
<tr class="separator:a122ea2bfab91467608e255a8612f0bff"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7453bdfcb39e068357022f0861e59637"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classarm__compute_1_1_multi_image.xhtml#a7453bdfcb39e068357022f0861e59637">init</a> (unsigned int width, unsigned int height, <a class="el" href="namespacearm__compute.xhtml#ab4e88c89b3b7ea1735996cc4def22d58">Format</a> format)</td></tr>
<tr class="memdesc:a7453bdfcb39e068357022f0861e59637"><td class="mdescLeft">&#160;</td><td class="mdescRight">Allocate the multi-planar image.  <a href="#a7453bdfcb39e068357022f0861e59637">More...</a><br /></td></tr>
<tr class="separator:a7453bdfcb39e068357022f0861e59637"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a32c7d923aa5aad1ef6afe95204c7d723"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classarm__compute_1_1_multi_image.xhtml#a32c7d923aa5aad1ef6afe95204c7d723">init_auto_padding</a> (unsigned int width, unsigned int height, <a class="el" href="namespacearm__compute.xhtml#ab4e88c89b3b7ea1735996cc4def22d58">Format</a> format)</td></tr>
<tr class="memdesc:a32c7d923aa5aad1ef6afe95204c7d723"><td class="mdescLeft">&#160;</td><td class="mdescRight">Allocate the multi-planar image.  <a href="#a32c7d923aa5aad1ef6afe95204c7d723">More...</a><br /></td></tr>
<tr class="separator:a32c7d923aa5aad1ef6afe95204c7d723"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acaefe811b78a2fdc4a0dba0c4029c3ef"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classarm__compute_1_1_multi_image.xhtml#acaefe811b78a2fdc4a0dba0c4029c3ef">allocate</a> ()</td></tr>
<tr class="memdesc:acaefe811b78a2fdc4a0dba0c4029c3ef"><td class="mdescLeft">&#160;</td><td class="mdescRight">Allocated a previously initialised multi image.  <a href="#acaefe811b78a2fdc4a0dba0c4029c3ef">More...</a><br /></td></tr>
<tr class="separator:acaefe811b78a2fdc4a0dba0c4029c3ef"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abd476c5b253ba7cfff71fc2f782d2688"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classarm__compute_1_1_multi_image.xhtml#abd476c5b253ba7cfff71fc2f782d2688">create_subimage</a> (<a class="el" href="classarm__compute_1_1_multi_image.xhtml">MultiImage</a> *image, const <a class="el" href="classarm__compute_1_1_coordinates.xhtml">Coordinates</a> &amp;coords, unsigned int width, unsigned int height)</td></tr>
<tr class="memdesc:abd476c5b253ba7cfff71fc2f782d2688"><td class="mdescLeft">&#160;</td><td class="mdescRight">Create a subimage from an existing <a class="el" href="classarm__compute_1_1_multi_image.xhtml" title="Basic implementation of the multi-planar image interface. ">MultiImage</a>.  <a href="#abd476c5b253ba7cfff71fc2f782d2688">More...</a><br /></td></tr>
<tr class="separator:abd476c5b253ba7cfff71fc2f782d2688"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae8d325a13f6f9d17ffe9ea076216b02f"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classarm__compute_1_1_multi_image_info.xhtml">MultiImageInfo</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classarm__compute_1_1_multi_image.xhtml#ae8d325a13f6f9d17ffe9ea076216b02f">info</a> () const override</td></tr>
<tr class="memdesc:ae8d325a13f6f9d17ffe9ea076216b02f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Interface to be implemented by the child class to return the multi-planar image's metadata.  <a href="#ae8d325a13f6f9d17ffe9ea076216b02f">More...</a><br /></td></tr>
<tr class="separator:ae8d325a13f6f9d17ffe9ea076216b02f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1762b2552daa39b1629c90d1f04669f5"><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespacearm__compute.xhtml#a7fb6a368d181ef193475f725c713430a">Image</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classarm__compute_1_1_multi_image.xhtml#a1762b2552daa39b1629c90d1f04669f5">plane</a> (unsigned int index) override</td></tr>
<tr class="memdesc:a1762b2552daa39b1629c90d1f04669f5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Return a pointer to the requested plane of the image.  <a href="#a1762b2552daa39b1629c90d1f04669f5">More...</a><br /></td></tr>
<tr class="separator:a1762b2552daa39b1629c90d1f04669f5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abf183837db0ff1ee887d6e9bbb891916"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="namespacearm__compute.xhtml#a7fb6a368d181ef193475f725c713430a">Image</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classarm__compute_1_1_multi_image.xhtml#abf183837db0ff1ee887d6e9bbb891916">plane</a> (unsigned int index) const override</td></tr>
<tr class="memdesc:abf183837db0ff1ee887d6e9bbb891916"><td class="mdescLeft">&#160;</td><td class="mdescRight">Return a constant pointer to the requested plane of the image.  <a href="#abf183837db0ff1ee887d6e9bbb891916">More...</a><br /></td></tr>
<tr class="separator:abf183837db0ff1ee887d6e9bbb891916"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classarm__compute_1_1_i_multi_image"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classarm__compute_1_1_i_multi_image')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classarm__compute_1_1_i_multi_image.xhtml">IMultiImage</a></td></tr>
<tr class="memitem:a52c8ee0f7ff87c20c213bf2860729ea0 inherit pub_methods_classarm__compute_1_1_i_multi_image"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classarm__compute_1_1_i_multi_image.xhtml#a52c8ee0f7ff87c20c213bf2860729ea0">~IMultiImage</a> ()=default</td></tr>
<tr class="memdesc:a52c8ee0f7ff87c20c213bf2860729ea0 inherit pub_methods_classarm__compute_1_1_i_multi_image"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#a52c8ee0f7ff87c20c213bf2860729ea0">More...</a><br /></td></tr>
<tr class="separator:a52c8ee0f7ff87c20c213bf2860729ea0 inherit pub_methods_classarm__compute_1_1_i_multi_image"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Basic implementation of the multi-planar image interface. </p>

<p>Definition at line <a class="el" href="_multi_image_8h_source.xhtml#l00041">41</a> of file <a class="el" href="_multi_image_8h_source.xhtml">MultiImage.h</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a122ea2bfab91467608e255a8612f0bff"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classarm__compute_1_1_multi_image.xhtml">MultiImage</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Constructor. </p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="acaefe811b78a2fdc4a0dba0c4029c3ef"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void allocate </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Allocated a previously initialised multi image. </p>
<dl class="section note"><dt>Note</dt><dd>The multi image must not already be allocated when calling this function. </dd></dl>

</div>
</div>
<a class="anchor" id="abd476c5b253ba7cfff71fc2f782d2688"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void create_subimage </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classarm__compute_1_1_multi_image.xhtml">MultiImage</a> *&#160;</td>
          <td class="paramname"><em>image</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classarm__compute_1_1_coordinates.xhtml">Coordinates</a> &amp;&#160;</td>
          <td class="paramname"><em>coords</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned int&#160;</td>
          <td class="paramname"><em>width</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned int&#160;</td>
          <td class="paramname"><em>height</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Create a subimage from an existing <a class="el" href="classarm__compute_1_1_multi_image.xhtml" title="Basic implementation of the multi-planar image interface. ">MultiImage</a>. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">image</td><td><a class="el" href="struct_image.xhtml" title="Structure to hold Image information. ">Image</a> to use backing memory from </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">coords</td><td>Starting coordinates of the new image. Should be within the parent image sizes </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">width</td><td>The width of the subimage </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">height</td><td>The height of the subimage </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ae8d325a13f6f9d17ffe9ea076216b02f"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classarm__compute_1_1_multi_image_info.xhtml">MultiImageInfo</a>* info </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Interface to be implemented by the child class to return the multi-planar image's metadata. </p>
<dl class="section return"><dt>Returns</dt><dd>A pointer to the image's metadata. </dd></dl>

<p>Implements <a class="el" href="classarm__compute_1_1_i_multi_image.xhtml#a38261214e277cba5b90dd1ffe31170e0">IMultiImage</a>.</p>

</div>
</div>
<a class="anchor" id="a7453bdfcb39e068357022f0861e59637"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void init </td>
          <td>(</td>
          <td class="paramtype">unsigned int&#160;</td>
          <td class="paramname"><em>width</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned int&#160;</td>
          <td class="paramname"><em>height</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespacearm__compute.xhtml#ab4e88c89b3b7ea1735996cc4def22d58">Format</a>&#160;</td>
          <td class="paramname"><em>format</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Allocate the multi-planar image. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">width</td><td>Width of the whole image </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">height</td><td>Height of the whole image </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">format</td><td>Format of the whole image </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a32c7d923aa5aad1ef6afe95204c7d723"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void init_auto_padding </td>
          <td>(</td>
          <td class="paramtype">unsigned int&#160;</td>
          <td class="paramname"><em>width</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">unsigned int&#160;</td>
          <td class="paramname"><em>height</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespacearm__compute.xhtml#ab4e88c89b3b7ea1735996cc4def22d58">Format</a>&#160;</td>
          <td class="paramname"><em>format</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Allocate the multi-planar image. </p>
<dl class="section note"><dt>Note</dt><dd>Uses conservative padding strategy which fits all kernels.</dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">width</td><td>Width of the whole image </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">height</td><td>Height of the whole image </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">format</td><td>Format of the whole image </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a1762b2552daa39b1629c90d1f04669f5"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespacearm__compute.xhtml#a7fb6a368d181ef193475f725c713430a">Image</a>* plane </td>
          <td>(</td>
          <td class="paramtype">unsigned int&#160;</td>
          <td class="paramname"><em>index</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Return a pointer to the requested plane of the image. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">index</td><td>The index of the wanted planed.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>A pointer pointed to the plane </dd></dl>

<p>Implements <a class="el" href="classarm__compute_1_1_i_multi_image.xhtml#a84ad04ee4d2efc59632a3224d7a813b3">IMultiImage</a>.</p>

</div>
</div>
<a class="anchor" id="abf183837db0ff1ee887d6e9bbb891916"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="namespacearm__compute.xhtml#a7fb6a368d181ef193475f725c713430a">Image</a>* plane </td>
          <td>(</td>
          <td class="paramtype">unsigned int&#160;</td>
          <td class="paramname"><em>index</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Return a constant pointer to the requested plane of the image. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">index</td><td>The index of the wanted planed.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>A constant pointer pointed to the plane </dd></dl>

<p>Implements <a class="el" href="classarm__compute_1_1_i_multi_image.xhtml#a18bc117545eec0b9d0d502286d1afd62">IMultiImage</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>arm_compute/runtime/<a class="el" href="_multi_image_8h_source.xhtml">MultiImage.h</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespacearm__compute.xhtml">arm_compute</a></li><li class="navelem"><a class="el" href="classarm__compute_1_1_multi_image.xhtml">MultiImage</a></li>
    <li class="footer">Generated on Wed Apr 12 2017 17:30:10 for ARM Compute Library by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
